Un utente ha chiesto
Categoria: Storefront di WordPress
Domanda: Errore Wc-cart-functions.php con l’aggiornamento del tema Woocommerce e Storefront

Di recente ho aggiornato il tema Storefront (2.2.8), Plugin e Woocommerce (3.3.3). Ricevo questo errore quando aggiungo articoli al carrello.

Avvertimento: array_keys () si aspetta che il parametro 1 sia un array, null dato in /app/wp/wp-content/plugins/woocommerce/includes/wc-cart-functions.php sulla riga 470

Avvertimento: array_keys () si aspetta che il parametro 1 sia un array, null dato in /app/wp/wp-content/plugins/woocommerce/includes/wc-cart-functions.php sulla riga 441

Avvertimento: current() si aspetta che il parametro 1 sia un array, null dato in /app/wp/wp-content/plugins/woocommerce/includes/wc-cart-functions.php on line 442

Qualcun altro l’ha già visto?

  • (@mikedmoore)

    Ingegnere automatico della felicità

    Ciao!

    Vedi lo stesso avviso durante il test con solo WooCommerce attivo? Sembra che potrebbe essere un conflitto di plugin.

    (@malawimama)

    Lo vediamo anche adesso, esattamente gli stessi 3 errori…

    Qualcuno sa cosa sta succedendo?

    (@malawimama)

    OPPURE!! Mi scuso per il post di cui sopra. Ho gli stessi avvertimenti ma non ho notato che questo è stato pubblicato sotto un tema. Non usiamo questo tema, in realtà è un tema codificato personalizzato che ho sviluppato, quindi non ha nulla a che fare con Storefront. Sospetto che non sia nemmeno correlato al tema, probabilmente una sorta di nuovo conflitto.

    (@joelwill)

    Ingegnere automatico della felicità

    Grazie per avercelo fatto sapere, allora lo chiuderemo qui.

    Tutti i miei desideri!

    (@seanconklin)

    Stavo ricevendo lo stesso errore in WooCommerce v3.4.6 con il tema Storefront v2.3.4 (tutto più recente da questo post). L’errore si riferiva alla riga 436 di questo stesso file.

    Fare riferimento all’ultimo file Woo per vedere a quale funzione si riferiscono gli errori https://github.com/woocommerce/woocommerce/blob/master/includes/wc-cart-functions.php

    Il problema è stato apparentemente causato dalla disattivazione e dalla riattivazione dei plug-in di spedizione. Ho dovuto aprire Woo> Impostazioni> Spedizione e salvare nuovamente tutte le impostazioni. Problema risolto.

    (@ vivi2810)

    Buongiorno,
    Sto creando il mio carrello eShop e al momento del pagamento c’è questo messaggio nella parte superiore della pagina:

    Nota: Indice non definito: priorità in /var/www/vhosts/fancyowl.gr/httpdocs/wp-content/plugins/woocommerce/includes/wc-core-functions.php alla riga 1526

    Sfortunatamente, non so nulla di codifica. Qualcuno può aiutarmi a correggere questo errore, per favore?

Hai risolto il tuo problema?

0 / 0

Lascia un commento 0

Il tuo indirizzo email non sarà pubblicato. Required fields are marked *